-- FlyCandy
-- Thanks to: Unkle of Kirin Tor, Maggs of Mal'Ganis, Tekkub, Rhodes of Khadgar, and the rest on Gilligan's Isle...
local cvs = {
        "UnitNameOwn",
        "UnitNameNPC",
        "UnitNamePlayerGuild",
        "UnitNamePlayerPVPTitle",
        "UnitNameFriendlyPlayerName",
        "UnitNameFriendlyPetName",
        "UnitNameFriendlyGuardianName",
        "UnitNameFriendlyTotemName",
        "UnitNameEnemyPlayerName",
        "UnitNameEnemyPetName",
        "UnitNameEnemyGuardianName",
        "UnitNameEnemyTotemName",
        "UnitNameNonCombatCreatureName",
        -- "UnitNameFriendlySpecialNPCName",		-- Classic
        "UnitNameGuildTitle",

    }

-- Invisa-Frame sucked. This rocks.
-- OnShow, set everything to our personal saved values, or on.
UIParent:HookScript("OnShow", function()
    for k,v in pairs(cvs) do
        SetCVar( v,  FlyCandySaved[ v ] or "0" )
    end
end)

-- OnHide - turn everything off
UIParent:HookScript("OnHide", function()
    for k,v in pairs(cvs) do
        SetCVar( v,  0 )
    end
end)

-- Fix that annoying issue with using the interface menu.
InterfaceOptionsFrameOkay:HookScript("OnClick", function()
    for k,v in pairs(cvs) do
        FlyCandySaved[ v ] = GetCVar( v ) or "0"
    end
end)

-- Make some variables.
if not FlyCandySaved then
    FlyCandySaved = {}
    for k,v in pairs(cvs) do
        FlyCandySaved[ v ] = GetCVar( v ) or "0"
    end
end